Loading...
Searching...
No Matches
Dune::MatrixImp::DenseMatrixBase< B, A >::Iterator Class Reference

Iterator class for sequential access. More...

`#include <dune/istl/matrix.hh>`

## Public Member Functions

| Iterator ()
| constructor, no arguments
| Iterator (Iterator &other)=default
| Iterator (Iterator &&other)=default
| Iterator (B *data, size_type columns, size_type _i)
| constructor
Iterator & | operator= (Iterator &&other)
| Move assignment.
Iterator & | operator= (Iterator &other)
| Copy assignment.
Iterator & | operator++ ()
| prefix increment
Iterator & | operator-- ()
| prefix decrement
bool | operator== (const Iterator &it) const
| equality
bool | operator!= (const Iterator &it) const
| inequality
bool | operator== (const ConstIterator &it) const
| equality
bool | operator!= (const ConstIterator &it) const
| inequality
window_type & | operator* () const
| dereferencing
window_type * | operator-> () const
| arrow
size_type | index () const

## Friends

class | ConstIterator

## Detailed Description

template<class B, class A = std::allocator<B>>
class Dune::MatrixImp::DenseMatrixBase< B, A >::Iterator

Iterator class for sequential access.

## Constructor & Destructor Documentation

## Iterator() [1/4]

template<class B, class A = std::allocator<B>>

Dune::MatrixImp::DenseMatrixBase< B, A >::Iterator::Iterator | ( |  | ) |

inline

constructor, no arguments

## Iterator() [2/4]

template<class B, class A = std::allocator<B>>

Dune::MatrixImp::DenseMatrixBase< B, A >::Iterator::Iterator | ( | Iterator & | other | ) |

default

## Iterator() [3/4]

template<class B, class A = std::allocator<B>>

Dune::MatrixImp::DenseMatrixBase< B, A >::Iterator::Iterator | ( | Iterator && | other | ) |

default

## Iterator() [4/4]

template<class B, class A = std::allocator<B>>

Dune::MatrixImp::DenseMatrixBase< B, A >::Iterator::Iterator | ( | B * | data,
|  | size_type | columns,
|  | size_type | _i )

inline

constructor

## Member Function Documentation

## index()

template<class B, class A = std::allocator<B>>

size_type Dune::MatrixImp::DenseMatrixBase< B, A >::Iterator::index | ( |  | ) | const

inline

## operator!=() [1/2]

template<class B, class A = std::allocator<B>>

bool Dune::MatrixImp::DenseMatrixBase< B, A >::Iterator::operator!= | ( | const ConstIterator & | it | ) | const

inline

inequality

## operator!=() [2/2]

template<class B, class A = std::allocator<B>>

bool Dune::MatrixImp::DenseMatrixBase< B, A >::Iterator::operator!= | ( | const Iterator & | it | ) | const

inline

inequality

## operator*()

template<class B, class A = std::allocator<B>>

window_type & Dune::MatrixImp::DenseMatrixBase< B, A >::Iterator::operator* | ( |  | ) | const

inline

dereferencing

## operator++()

template<class B, class A = std::allocator<B>>

Iterator & Dune::MatrixImp::DenseMatrixBase< B, A >::Iterator::operator++ | ( |  | ) |

inline

prefix increment

## operator--()

template<class B, class A = std::allocator<B>>

Iterator & Dune::MatrixImp::DenseMatrixBase< B, A >::Iterator::operator-- | ( |  | ) |

inline

prefix decrement

## operator->()

template<class B, class A = std::allocator<B>>

window_type * Dune::MatrixImp::DenseMatrixBase< B, A >::Iterator::operator-> | ( |  | ) | const

inline

arrow

## operator=() [1/2]

template<class B, class A = std::allocator<B>>

Iterator & Dune::MatrixImp::DenseMatrixBase< B, A >::Iterator::operator= | ( | Iterator && | other | ) |

inline

Move assignment.

## operator=() [2/2]

template<class B, class A = std::allocator<B>>

Iterator & Dune::MatrixImp::DenseMatrixBase< B, A >::Iterator::operator= | ( | Iterator & | other | ) |

inline

Copy assignment.

## operator==() [1/2]

template<class B, class A = std::allocator<B>>

bool Dune::MatrixImp::DenseMatrixBase< B, A >::Iterator::operator== | ( | const ConstIterator & | it | ) | const

inline

equality

## operator==() [2/2]

template<class B, class A = std::allocator<B>>

bool Dune::MatrixImp::DenseMatrixBase< B, A >::Iterator::operator== | ( | const Iterator & | it | ) | const

inline

equality

## Friends And Related Symbol Documentation

## ConstIterator

template<class B, class A = std::allocator<B>>

friend class ConstIterator

friend

The documentation for this class was generated from the following file:

- matrix.hh